#!/bin/csh

xyz2pipe -in fid/test%03d.fid -verb                   \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 1.0    \
| nmrPipe  -fn ZF -auto -zf 2                         \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS -p0 0 -p1 283.5                     \
| nmrPipe  -fn EXT -x1 10ppm -xn 7.2ppm -sw           \
| nmrPipe  -fn PS -p0 111.4 -p1 0 -di                 \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5    \
| nmrPipe  -fn ZF -zf 2 -auto                         \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS -p0 90 -p1 0 -di                    \
| nmrPipe  -fn TP                                     \
| pipe2xyz -out ft/test%03d.ft2 -x

xyz2pipe -in ft/test%03d.ft2 -z -verb                 \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5    \
| nmrPipe  -fn ZF -auto -zf 2                         \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS -p0 0 -p1 0 -di                     \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn POLY -auto -ord 2                      \
| pipe2xyz -out ft/test%03d.ft3 -x


/bin/rm -fr ft/test*.ft2

proj3D.tcl -in ft/test%03d.ft3

