#!/bin/csh

bruk2pipe -in ./ser \
  -bad 0.0 -aswap  \
  -xN              1024  -yN               100  -zN               100  \
  -xT               512  -yT                50  -zT                50  \
  -xMODE        Complex  -yMODE  Echo-AntiEcho  -zMODE        Complex  \
  -xSW         5000.000  -ySW         1118.568  -zSW         2717.391  \
  -xOBS         600.436  -yOBS          60.848  -zOBS         150.986  \
  -xCAR           9.810  -yCAR         117.123  -zCAR          56.105  \
  -xLAB              HN  -yLAB             15N  -zLAB             13C  \
  -ndim               3  -aq2D          States                         \
  -out ./fid/test%03d.fid -verb -ov

